<template>
<div>
  <div>
   {{count}}
    <v-text-field
       v-model="searchText"
        append-icon="mdi-microphone"
        label="Search"
        prepend-inner-icon="mdi-magnify"
        solo-inverted
        @input="handleSearch()"
      ></v-text-field>
  </div>
  <div>
    <v-card  class="my-3"
    
    v-for="account in accounts" :key="account.name" 
    >
      <v-card-title class="d-flex blue lighten-5"> {{account.name}}  
        <span :class="`subtitle-2 ${account.status} { Waiting: acoount.status ==='Waitng For Approval' }  `">{{`  (${account.status})`}}</span>  
        <span :class="`ml-auto  subtitle-1`">{{account.CustomerName}}</span>  
        </v-card-title>  
          <v-list-item   >       
            <v-list-item-content>
              <v-list-item-title class=" mb-1">
                {{account.name}}
              </v-list-item-title>
              <v-list-item-subtitle class=" mb-1">
                {{account.URLCode}}
              </v-list-item-subtitle>    
            </v-list-item-content>
            <v-list-item-icon>
              <v-icon > mdi-chevron-double-right</v-icon>
            </v-list-item-icon>
          </v-list-item>
    </v-card>
  </div>
</div>
</template>

<script>
  import Accounts from '../services/accounts'
  import { mapState } from 'vuex'
  export default {
   data: ()=>{
     return{
      accounts:[] ,
      searchText:'',
   token:""
     }
   },

   methods:{
    handleSearch()
   {
    //this.accounts= this.searchText==='' ?  this.getAccountData() : this.accounts.filter(account =>account.name.toLowerCase().includes(this.searchText.toLowerCase()))
    this.accounts= this.getAccountData(this.searchText) 
    
    console.log(this.searchText)
   },
  
   async getAccountData(qry)
    {
      //Accounts.getAll(qry).then(response => (this.accounts=response))
      console.log('this.token')
     await Accounts.login('musab','280381').then(response =>{ (this.token=response) 
      console.log(this.token.token)
      this.$store.commit("setToken",this.token.token);
      //Accounts.getAll(qry).then(response => (this.accounts=response))
      })
      
    }
   }
      ,
  
    computed: 
    
      mapState({
            count: state => state.token
        }),
  //   count() {
  //   return this.$store.token
  //   }
    

    mounted () {
      this.getAccountData()
      //this.count=this.$store.token
   

  },
  
}
</script>

<style>
.Active
{
  color: green;
}
.Closed
{
  color:red
}
.Demo
{
  color:grey
}
.Waitng
{
  color:orange
}
.Trial
{
  color:darkmagenta
}
</style>